org.apache.lucene.luke.models.documents

## Class DocumentField

- java.lang.Object
- - org.apache.lucene.luke.models.documents.DocumentField

    public final class DocumentField
    extends Object

Holder for a document field's information and data.

### Method Summary

All Methods Instance Methods Concrete Methods
`BytesRef` `getBinaryValue()`
`DocValuesType` `getDvType()`
`IndexOptions` `getIdxOptions()`
`String` `getName()`
`long` `getNorm()`
`Number` `getNumericValue()`
`int` `getPointDimensionCount()`
`int` `getPointNumBytes()`
`String` `getStringValue()`
`boolean` `hasNorms()`
`boolean` `hasPayloads()`
`boolean` `hasTermVectors()`
`boolean` `isStored()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getName

    public String getName()

#### getIdxOptions

    public IndexOptions getIdxOptions()

#### hasTermVectors

    public boolean hasTermVectors()

#### hasPayloads

    public boolean hasPayloads()

#### hasNorms

    public boolean hasNorms()

#### getNorm

    public long getNorm()

#### isStored

    public boolean isStored()

#### getStringValue

    public String getStringValue()

#### getBinaryValue

    public BytesRef getBinaryValue()

#### getNumericValue

    public Number getNumericValue()

#### getDvType

    public DocValuesType getDvType()

#### getPointDimensionCount

    public int getPointDimensionCount()

#### getPointNumBytes

    public int getPointNumBytes()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`